com.sun.jna.platform.win32

## Class OaIdl.DISPIDByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.OaIdl.DISPIDByReference

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  OaIdl

    public static class OaIdl.DISPIDByReference
    extends ByReference

### Constructor Summary

Constructors
Constructor and Description
`DISPIDByReference()`
`DISPIDByReference(OaIdl.DISPID value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OaIdl.DISPID` `getValue()`
`void` `setValue(OaIdl.DISPID value)`

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DISPIDByReference

    public DISPIDByReference()

#### DISPIDByReference

    public DISPIDByReference(OaIdl.DISPID value)

### Method Detail

#### setValue

    public void setValue(OaIdl.DISPID value)

#### getValue

    public OaIdl.DISPID getValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.